Page MenuHome

Graphical artifacts when using cycles(experimental) to render color emission on Adaptive subdivision
Closed, ArchivedPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: AMD Radeon RX 5700 XT ATI Technologies Inc. 4.5.14757 Core Profile Context 20.12.1 27.20.14501.28009

Blender Version
Broken: version: 2.91.0, branch: master, commit date: 2020-11-25 08:34, hash: rB0f45cab862b8
Worked: (newest version of Blender that worked as expected)

Short description of error
when trying to apply a lava like material to some basic geometric shapes(CgMatter tutorial) there are Green and White artifacts everywhere on the model. Using the emission node with any color causes it and when using adaptive subdivision using Cycles. I have also had some crashes while doing some stuff with adaptive subdivision on.

Exact steps for others to reproduce the error
have an AMD RX5700XT and try to render the blend file in shading view(adaptive subdivision, emission node.

Adaptive Subdivision turned off

OR
Color node muted

Event Timeline

Oscar (Molier) updated the task description. (Show Details)
Oscar (Molier) updated the task description. (Show Details)
Robert Guetzkow (rjg) changed the task status from Needs Triage to Needs Information from User.Dec 31 2020, 10:26 AM

This could be caused by the graphics driver. Many users have reported issue (see T82856) with AMD's graphics driver with version 20.11.2 and later. AMD is aware of that issue.

Since you're also reporting a crash and this appears to be tied to a adaptive subdivisions, we need to rule out that there is an issue in Blender. Please open Blender's installation directory and double click on the blender_debug_gpu.cmd. This will start Blender in debug mode and create log files. Try to make Blender crash again. Once it crashes the Windows Explorer should open and show you up to two files, a debug log and the system information. Add them to your bug report by clicking on the upload button as shown in the screenshot below or via drag and drop. Please also upload the crash log located in C:\Users\[your username]\AppData\Local\Temp\[project name].crash.txt (or simply type %TEMP% into the path bar of the Windows Explorer).

@Oscar (Molier) Please provide the requested information otherwise we will have to close the ticket for a lack of information to reproduce and identify the issue. Please also provide a minimal project version that demonstrates the issue.

Robert Guetzkow (rjg) closed this task as Archived.Jan 16 2021, 3:42 PM

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.